/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysmodular.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.util.List;

/**
 * 业务模块Entity
 * @author ssrh
 * @version 2018-08-17
 */
public class SysModular extends DataEntity<SysModular> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 模块名称
	private String tableName;		// 表名
	private String rangeField;		// 权限范围对应字段
	private String sort;
	private String sqlString;//预警范围预制sql

	public String getSqlString() {
		return sqlString;
	}

	public void setSqlString(String sqlString) {
		this.sqlString = sqlString;
	}

	private List<SysModularField> sysModularFieldList;

	public List<SysModularField> getSysModularFieldList() {
		return sysModularFieldList;
	}

	public void setSysModularFieldList(List<SysModularField> sysModularFieldList) {
		this.sysModularFieldList = sysModularFieldList;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public SysModular() {
		super();
	}

	public SysModular(String id){
		super(id);
	}

	@ExcelField(title="模块名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="表名", align=2, sort=8)
	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	
	@ExcelField(title="权限范围对应字段", align=2, sort=9)
	public String getRangeField() {
		return rangeField;
	}

	public void setRangeField(String rangeField) {
		this.rangeField = rangeField;
	}
	
}